Bug 1684283 - Ceph Containers SSL support - Daemons like RGW when using rgw-multisite causing an issue in communication and sync stuck
Summary: Ceph Containers SSL support - Daemons like RGW when using rgw-multisite causi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: All
OS: Linux
high
high
Target Milestone: z2
: 3.2
Assignee: Dimitri Savineau
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2019-02-28 21:37 UTC by Vikhyat Umrao
Modified: 2019-04-30 15:57 UTC (History)
16 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.8-1.el7cp Ubuntu: ceph-ansible_3.2.8-2redhat1
Doc Type: Bug Fix
Doc Text:
.SSL works as expected with containerized Ceph Object Gateways Previously, the SSL configuration in containerized Ceph Object Gateways did not work because the Certificate Authority (CA) certificate was only added to the TLS bundle on the hypervisor and was not propagated to the Ceph Object Gateway container due to missing container bind mounts on the `/etc/pki/ca-trusted/` directory. This bug has been fixed, and SSL works as expected with containerized Ceph Object Gateways.
Clone Of:
Environment:
Last Closed: 2019-04-30 15:57:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:21 UTC

Description Vikhyat Umrao 2019-02-28 21:37:35 UTC
Description of problem:
Ceph Containers SSL support - Daemons like RGW when using rgw-multisite causing an issue in communication and sync stuck

For now, need to go with without SSL with port 80.

Version-Release number of selected component (if applicable):
RHCS 3.2

How reproducible:
Always at the customer site

Comment 4 Vikhyat Umrao 2019-02-28 21:53:21 UTC
RGW Multi-site bug https://bugzilla.redhat.com/show_bug.cgi?id=1684289 to test SSL and RGW Multi-site support.

Comment 15 Dimitri Savineau 2019-04-23 18:47:46 UTC
looks good to me

Comment 17 errata-xmlrpc 2019-04-30 15:57:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.